>From 754fc0cf0b44d5e7b93e48cdea5e1e4641484b50 Mon Sep 17 00:00:00 2001
From: Stefan Tauner <stefan.tauner@student.tuwien.ac.at>
Date: Mon, 18 Jul 2011 13:55:01 +0200
Subject: [PATCH] fix a bug breaking layout file handling in r1373


Signed-off-by: Stefan Tauner <stefan.tauner@student.tuwien.ac.at>
---
 cli_classic.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/cli_classic.c b/cli_classic.c
index 9168bc1..53cd4a0 100644
--- a/cli_classic.c
+++ b/cli_classic.c
@@ -235,7 +235,7 @@ int cli_classic(int argc, char *argv[])
 		case 'i':
 			/* FIXME: -l has to be specified before -i. */
 			tempstr = strdup(optarg);
-			if (find_romentry(tempstr)) {
+			if (find_romentry(tempstr) < 0) {
 				fprintf(stderr, "Error: image %s not found in "
 					"layout file or -i specified before "
 					"-l\n", tempstr);
-- 
1.7.1

